require "socket"

local pingos = {}

local FriendIP, PORT = "187.63.10.170", 7171 

local connect = socket.udp()
connect:setpeername(FriendIP, PORT)
connect:settimeout(0)

local host = socket.udp()
host:settimeout(0)
host:setsockname("*", PORT)

function newPingo(x, y)
    table.insert(pingos, {posx = x, posy = y, radius = 2})
end

function string.explode(e, sep)
	local result = {}
	e:gsub("[^".. sep .."]+", function(s) table.insert(result, s:match("^%s*(.-)%s*$")) end)
	return result
end

function drawPingos()
    for i,x in pairs(pingos) do
        pingos[i].radius = pingos[i].radius+1
        love.graphics.circle("line", pingos[i].posx, pingos[i].posy, pingos[i].radius, 99)
        if pingos[i].radius > math.sqrt(2)*300 then
            pingos[i] = nil
        end
    end
end

function love.load()
    love.graphics.setLineWidth(2)
end

function love.update(dt)
    local data, ip = host:receivefrom()
    if data then
        local infos = data:explode(",")
        if infos and #infos == 2 then
            newPingo(infos[1], infos[2])
        end
    end
end

function love.draw()
    drawPingos()
end

function love.mousepressed(x, y)
    newPingo(x, y)
    connect:send(x .. "," .. y, FriendIP, PORT)
end